nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IConsumingDeviceAgent Class Referenceabstract

`#include <i_consuming_device_agent.h>`

Inheritance diagram for nx::sdk::analytics::IConsumingDeviceAgent:

## Public Member Functions
Result< const IActiveSettingChangedResponse * > | getSettingsOnActiveSettingChange (const IActiveSettingChangedAction *activeSettingChangedAction)
Public Member Functions inherited from nx::sdk::Interface< IConsumingDeviceAgent, IConsumingDeviceAgent1 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual void | doGetSettingsOnActiveSettingChange (Result< const IActiveSettingChangedResponse *> *outResult, const IActiveSettingChangedAction *activeSettingChangedAction)=0
Protected Member Functions inherited from nx::sdk::Interface< IConsumingDeviceAgent, IConsumingDeviceAgent1 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Detailed Description

Interface for a DeviceAgent that requires input (e.g. audio or video stream) from the Device.

## Member Function Documentation

## ◆ doGetSettingsOnActiveSettingChange()

virtual void nx::sdk::analytics::IConsumingDeviceAgent::doGetSettingsOnActiveSettingChange | ( | Result< const IActiveSettingChangedResponse *> * | outResult,
|  | const IActiveSettingChangedAction * | activeSettingChangedAction
| ) |  |
| protectedpure virtual

Called by getSettingsOnActiveSettingChange()

## ◆ getSettingsOnActiveSettingChange()

Result<const IActiveSettingChangedResponse*> nx::sdk::analytics::IConsumingDeviceAgent::getSettingsOnActiveSettingChange | ( | const IActiveSettingChangedAction * | activeSettingChangedAction | ) |
| inline

When a setting marked as Active changes its value in the GUI, the Server calls this method to notify the Plugin and allow it to adjust the values of the settings and the Settings Model. This mechanism allows certain settings to depend on the current values of others, for example, switching a checkbox or a drop-down can lead to some other setting being replaced with another, or some values being converted to a different measurement unit.

Returns
  An error code with a message in case of some general failure that affected the procedure of analyzing the settings, or data defining the interaction with the user and the new state of the settings dialog. Can be null if no user interaction is needed.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_consuming_device_agent.h